# Class CsrfPreventionFilter.MimePredicate

java.lang.Object
org.apache.catalina.filters.CsrfPreventionFilter.MimePredicate

All Implemented Interfaces:
  `Predicate<String>`

Enclosing class:
  `CsrfPreventionFilter`

protected static class CsrfPreventionFilter.MimePredicate extends Object implements Predicate<String>
A no-nonce Predicate that evaluates a MIME type instead of a URL. It can be used with any other Predicate for matching the actual value of the MIME type.

## Constructor Summary

Constructors
Constructor
Description
`MimePredicate(ServletContext context, Predicate<String> predicate)`

## Method Summary

Modifier and Type
Method
Description
`Predicate<String>`
`getPredicate()`
`boolean`
`test(String t)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Predicate

`and, negate, or`

## Constructor Details

### MimePredicate

public MimePredicate(ServletContext context, Predicate<String> predicate)

## Method Details

### test

public boolean test(String t)

Specified by:
  `test` in interface `Predicate<String>`

### getPredicate

public Predicate<String> getPredicate()